Add volunteer coverage
curl --request POST \
--url https://{organization}.rescueconsole.com/api/events/events/{id}/coverage \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}/coverage"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"event": {
"name": "<string>",
"starts_at": "<string>",
"all_day": true,
"status": "draft",
"is_public": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"description": "<string>",
"kind": "adoption",
"ends_at": "<string>",
"location_unit_id": "<string>",
"venue_organization_id": "<string>",
"venue_name": "<string>",
"venue_address": "<string>",
"registration_url": "<string>",
"form_slug": "<string>",
"shift_schedule_id": "<string>",
"series_id": "<string>",
"recurrence": {
"freq": "daily",
"interval": 1,
"by_weekday": [
3
],
"monthly_by": "date",
"until": "2023-12-25",
"count": 51,
"never_ends": true,
"tz": "<string>"
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Events
Add volunteer coverage
Creates a schedule in Shifts for the event, from its name, summary (or description when there is no summary), location, start and end, and links it to the event as shift_schedule_id. Add the shifts to it in Shifts. An event that already has a schedule is refused. Sends no body. Needs write on Events, and no permission on Shifts.
POST
/
api
/
events
/
events
/
{id}
/
coverage
Add volunteer coverage
curl --request POST \
--url https://{organization}.rescueconsole.com/api/events/events/{id}/coverage \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/events/events/{id}/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/events/events/{id}/coverage"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"event": {
"name": "<string>",
"starts_at": "<string>",
"all_day": true,
"status": "draft",
"is_public": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"description": "<string>",
"kind": "adoption",
"ends_at": "<string>",
"location_unit_id": "<string>",
"venue_organization_id": "<string>",
"venue_name": "<string>",
"venue_address": "<string>",
"registration_url": "<string>",
"form_slug": "<string>",
"shift_schedule_id": "<string>",
"series_id": "<string>",
"recurrence": {
"freq": "daily",
"interval": 1,
"by_weekday": [
3
],
"monthly_by": "date",
"until": "2023-12-25",
"count": 51,
"never_ends": true,
"tz": "<string>"
}
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}